#ifndef _PATH_H
#define _PATH_H

#include "control.h"


struct path;
typedef struct path path;

struct command;
typedef struct command command;

struct command{
	timestamp ts;
	accel_t accel;
	turn_t turn;
};

struct path {
	GQueue* commands;
};

command *command_new(timestamp ts, accel_t a, turn_t t);
void command_free(command* c);


path *path_new(map* m,vehicle *c);
void path_execute(trial* t,path* p);
void path_free(path* p);


#endif
