#ifndef _CONTROL_PARSER_H
#define _CONTROL_PARSER_H

struct control_parser_ctx;
typedef struct control_parser_ctx control_parser_ctx;

typedef enum { RUN_ERROR, RUN_DONE, RUN_GO_ON } run_t;

#include "control.h"

struct control_parser_ctx {
	int cs;
	GString *buffer;
	gssize mark, pos;

	telemetry *tm;
	GString *tmp;
	timestamp ts;
	double x, y, r, dir, speed;
};

void control_parser_new(trial *t);
void control_parser_reset(trial *t);
void control_parser_free(trial *t);
run_t control_parse(trial *t);

#endif
